{
  "name": "dekupai",
  "version": "1.0.0",
  "description": "Dekupai - Trunçgil AI ile Kusursuz ve Hizli Dekupaj",
  "main": "main.js",
  "scripts": {
    "start": "electron .",
    "build:win": "electron-builder --win",
    "build:mac": "electron-builder --mac",
    "build:all": "electron-builder --win --mac",
    "build:store": "electron-builder --win appx"
  },
  "keywords": [
    "background-removal",
    "birefnet",
    "electron",
    "glassmorphism"
  ],
  "author": "Trunçgil Technology",
  "license": "MIT",
  "devDependencies": {
    "electron": "^31.3.0",
    "electron-builder": "^24.13.3"
  },
  "dependencies": {
    "cropperjs": "^1.6.2"
  },
  "build": {
    "appId": "com.turuncgil.dekupai",
    "productName": "Dekupai",
    "copyright": "Copyright © 2026 Trunçgil AI",
    "directories": {
      "output": "dist"
    },
    "files": [
      "**/*",
      "!.venv/**",
      "!node_modules/**",
      "node_modules/cropperjs/**"
    ],
    "asarUnpack": [
      "backend/**"
    ],
    "win": {
      "target": "nsis",
      "icon": "build/icon.ico"
    },
    "mac": {
      "target": "dmg",
      "category": "public.app-category.graphics-design",
      "icon": "build/icon.png"
    },
    "appx": {
      "publisher": "CN=PartnerCenterYayiniciKimligi",
      "identityName": "RezervEdilmisPaketAdi",
      "displayName": "Dekupai",
      "publisherDisplayName": "Trunçgil Technology",
      "languages": [
        "tr-TR",
        "en-US"
      ]
    }
  }
}